﻿@model IEnumerable<TesteCsharp.Models.Servicos>

@{
    ViewData["Title"] = "Serviços";
}

<h1>Serviços</h1>

<p>
    <a asp-action="Create">Cadastrar serviço</a>
</p>
<table class="table">
    <thead>
        <tr>
            <th>
                Descrição
            </th>
            <th>
                Data de atendimento
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Valor)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Tipo)
            </th>
            <th>
                Cliente
            </th>
            <th>
                Fornecedor
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.Descricao)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DataAtendimento.Date)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Valor)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Tipo)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IdClienteNavigation.Nome)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IdFornecedorNavigation.Nome)
            </td>
            <td>
                <a asp-action="Edit" asp-route-id="@item.Id">Editar</a> |
                <a asp-action="Details" asp-route-id="@item.Id">Detalhes</a> |
                <a asp-action="Delete" asp-route-id="@item.Id">Deletar</a>
            </td>
        </tr>
}
    </tbody>
</table>
